// AccessReportsSet.cpp : implementation file
//

#include "stdafx.h"
#include "AccessReportsSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAccessReportsSet

IMPLEMENT_DYNAMIC(CAccessReportsSet, CDaoRecordset)

CAccessReportsSet::CAccessReportsSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CAccessReportsSet)
	m_strName = _T("");
	m_nFields = 1;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CAccessReportsSet::GetDefaultDBName()
{
	ASSERT(FALSE); // we shouldn't get here!!!
	return _T("");
}

CString CAccessReportsSet::GetDefaultSQL()
{
	return _T("MSysObjects WHERE Type = -32764");
}

void CAccessReportsSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CAccessReportsSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Name]"), m_strName);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CAccessReportsSet diagnostics

#ifdef _DEBUG
void CAccessReportsSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CAccessReportsSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
